<bluemsxtheme name="DIGIblue-dush">
    <!--======== Normal window size theme ========-->
    <theme mode="normal" width="660" height="652">
        <emuwindow x="10" y="59"/>
        
        <!-- memo : color is "BGR" -->
        <menu x="0" y="0" bgcolor="e6ebeb" fgcolor="000000" focuscolor="cbcbc6"/>
        
        <image x="0" y="0" src="Main-Off-State.bmp"/>
        <text x="454" y="425" width="30" align="right" src="ICONS/FONT-GREY.bmp"  trigger="text-buildandversion"/>
        
        <led x="44" y="556" src="ICONS/ICON-POWER.bmp" trigger="not emu-stopped"/>
        <text x="125" y="556" width="83" src="ICONS/FONT-LARGE.bmp" trigger="text-runningname"/>

		<!-- left -->
        <text x="46" y="588" width="26" src="ICONS/FONT-SMALL.bmp" trigger="text-machinename"/>

        <text x="78"  y="602" width="5"  align="right" src="ICONS/FONT-SMALL.bmp" trigger="text-framespersecond"/>
        <text x="73"  y="611" width="6"  align="right" src="ICONS/FONT-SMALL.bmp" trigger="text-cpuusage"/>
        <text x="73"  y="620" width="6"  align="right" src="ICONS/FONT-SMALL.bmp" trigger="text-emufrequency"/>

        <text x="146" y="602" width="6"  align="right" src="ICONS/FONT-SMALL.bmp" trigger="text-ramsize"/>
        <text x="146" y="611" width="6"  align="right" src="ICONS/FONT-SMALL.bmp" trigger="text-vramsize"/>
        <text x="146" y="620" width="6"  align="right" src="ICONS/FONT-SMALL.bmp" trigger="text-screentypeshort"/>
        
        <led x="46" y="631" src="MISC-1/MEGARAM.bmp" trigger="using-megaram"/>
        <led x="84" y="631" src="MISC-1/AUDIO-SWITCH.bmp" trigger="led-audioswitch"/>
        <led x="96" y="631" src="MISC-1/FRONT-SWITCH.bmp" trigger="led-frontswitch"/>
        <led x="108" y="631" src="MISC-1/REC.bmp" trigger="status-record"/>
        <led x="125" y="631" src="MISC-1/F-RI.bmp" trigger="status-diskreset"/>
        <led x="142" y="631" src="MISC-1/R-RI.bmp" trigger="status-cartreset"/>
        <led x="160" y="631" src="MISC-1/C-RO.bmp" trigger="status-casreadonly"/>
        
		<!-- center -->
        <led x="199" y="610" src="MISC-2/P-1.bmp" trigger="port1-enable"/>
        <led x="212" y="610" src="MISC-2/P-MOUSE.bmp" trigger="port1-mouse"/>
        <led x="217" y="610" src="MISC-2/P-NUM.bmp" trigger="port1-numpad"/>
        <led x="222" y="610" src="MISC-2/P-KEYPAD.bmp" trigger="port1-keyboard"/>
        <led x="227" y="610" src="MISC-2/P-DIRECTX.bmp" trigger="port1-joystick"/>
        
        <led x="241" y="610" src="MISC-2/P-2.bmp" trigger="port2-enable"/>
        <led x="254" y="610" src="MISC-2/P-MOUSE.bmp" trigger="port2-mouse"/>
        <led x="259" y="610" src="MISC-2/P-NUM.bmp" trigger="port2-numpad"/>
        <led x="264" y="610" src="MISC-2/P-KEYPAD.bmp" trigger="port2-keyboard"/>
        <led x="269" y="610" src="MISC-2/P-DIRECTX.bmp" trigger="port2-joystick"/>
        
        <led x="283" y="610" src="MISC-2/H-STRETCH.bmp" trigger="status-hstretch"/>
        <led x="297" y="610" src="MISC-2/V-STRETCH.bmp" trigger="status-vstretch"/>
        <led x="310" y="610" src="MISC-2/SCANLINE.bmp" trigger="status-scanlines"/>
        
        <text x="320" y="610" width="4"  align="right" src="ICONS/FONT-SMALL.bmp" trigger="text-scanlinespct"/>
        <text x="200" y="628" width="13" align="left" src="ICONS/FONT-SMALL.bmp" trigger="text-rommapper1"/>
        <text x="275" y="628" width="13" align="left" src="ICONS/FONT-SMALL.bmp" trigger="text-rommapper2"/>
        
        <led x="198" y="586" src="ICONS/ICON-ROM.bmp" trigger="using-rom"/>
        <led x="232" y="586" src="ICONS/ICON-MEGAROM.bmp" trigger="using-megarom"/>
        <led x="266" y="586" src="ICONS/ICON-FMPAC.bmp" trigger="using-fmpac"/>
        <led x="312" y="586" src="ICONS/ICON-MSXMUSIC.bmp" trigger="using-msxmusic"/>
        <led x="334" y="586" src="ICONS/ICON-SCC.bmp" trigger="using-scc"/>
        <led x="374" y="586" src="ICONS/ICON-MOONSOUND.bmp" trigger="using-moonsound"/>
        <led x="434" y="586" src="ICONS/ICON-MSXAUDIO.bmp" trigger="using-msxaudio"/>
        
        <led x="350" y="608" src="MIXER/PSG-MUTE.bmp" trigger="enable-psg"/>
        <led x="367" y="608" src="MIXER/SCC-MUTE.bmp" trigger="enable-scc"/>
        <led x="384" y="608" src="MIXER/MSXMUSIC-MUTE.bmp" trigger="enable-msxmusic"/>
        <led x="401" y="608" src="MIXER/MSXAUDIO-MUTE.bmp" trigger="enable-msxaudio"/>
        <led x="418" y="608" src="MIXER/MOONSOUND-MUTE.bmp" trigger="enable-moonsound"/>
        <led x="435" y="608" src="MIXER/KEYBOARD-MUTE.bmp" trigger="enable-keyboard"/>
        <led x="455" y="608" src="MIXER/MASTER-MUTE.bmp" trigger="enable-master"/>

        <meter x="350" y="615" max="12" src="MIXER/METER.bmp" visible="enable-psg" trigger="volume-psg-left"/>
        <meter x="357" y="615" max="12" src="MIXER/METER.bmp" visible="enable-psg" trigger="volume-psg-right"/>
        <meter x="367" y="615" max="12" src="MIXER/METER.bmp" visible="enable-scc" trigger="volume-scc-left"/>
        <meter x="374" y="615" max="12" src="MIXER/METER.bmp" visible="enable-scc" trigger="volume-scc-right"/>
        <meter x="384" y="615" max="12" src="MIXER/METER.bmp" visible="enable-msxmusic" trigger="volume-msxmusic-left"/>
        <meter x="391" y="615" max="12" src="MIXER/METER.bmp" visible="enable-msxmusic" trigger="volume-msxmusic-right"/>
        <meter x="401" y="615" max="12" src="MIXER/METER.bmp" visible="enable-msxaudio" trigger="volume-msxaudio-left"/>
        <meter x="408" y="615" max="12" src="MIXER/METER.bmp" visible="enable-msxaudio" trigger="volume-msxaudio-right"/>
        <meter x="418" y="615" max="12" src="MIXER/METER.bmp" visible="enable-moonsound" trigger="volume-moonsound-left"/>
        <meter x="425" y="615" max="12" src="MIXER/METER.bmp" visible="enable-moonsound" trigger="volume-moonsound-right"/>
        <meter x="435" y="615" max="12" src="MIXER/METER.bmp" visible="enable-keyboard" trigger="volume-keyboard-left"/>
        <meter x="442" y="615" max="12" src="MIXER/METER.bmp" visible="enable-keyboard" trigger="volume-keyboard-right"/>
        <meter x="455" y="615" max="12" src="MIXER/METER.bmp" visible="enable-master" trigger="volume-master-left"/>
        <meter x="462" y="615" max="12" src="MIXER/METER.bmp" visible="enable-master" trigger="volume-master-right"/>
        
		<!-- right -->
        <led x="516" y="586" src="ICONS/ICON-DISKA.bmp" trigger="led-diska"/>
        <led x="546" y="586" src="ICONS/ICON-DISKB.bmp" trigger="led-diskb"/>
        <led x="576" y="588" src="ICONS/ICON-TAPE.bmp" trigger="led-cassette"/>

        <led x="516" y="617" src="ICONS/ICON-CAPS.bmp" trigger="led-caps"/>
        <led x="546" y="617" src="ICONS/ICON-KANA.bmp" trigger="led-kana"/>
        
        <!-- toolbar -->
        <dualbutton x="4" y="22" src="TOP-BUTTONS/buttonReset.bmp" action1="emu-resethard" action2="menu-reset" arg2x="4" arg2y="45"/>
        <button x="49" y="22" src="TOP-BUTTONS/buttonPlay.bmp" action="emu-togglepause" trigger="not emu-running"/>
        <button x="74" y="22" src="TOP-BUTTONS/buttonPause.bmp" action="emu-togglepause" trigger="emu-running"/>
        <button x="99" y="22" src="TOP-BUTTONS/buttonStop.bmp" action="emu-stop" trigger="not emu-stopped"/>
        <dualbutton x="131" y="22" src="TOP-BUTTONS/buttonCart1.bmp" action1="cart1-insert" action2="menu-cart1" arg2x="131" arg2y="45"/>
        <dualbutton x="169" y="22" src="TOP-BUTTONS/buttonCart2.bmp" action1="cart2-insert" action2="menu-cart2" arg2x="169" arg2y="45"/>
        <dualbutton x="207" y="22" src="TOP-BUTTONS/buttonDiskA.bmp" action1="diska-insert" action2="menu-diska" arg2x="207" arg2y="45"/>
        <dualbutton x="245" y="22" src="TOP-BUTTONS/buttonDiskB.bmp" action1="diskb-insert" action2="menu-diskb" arg2x="245" arg2y="45"/>
        <dualbutton x="283" y="22" src="TOP-BUTTONS/buttonCas.bmp" action1="cas-insert" action2="menu-cassette" arg2x="283" arg2y="45"/>
        <dualbutton x="321" y="22" src="TOP-BUTTONS/buttonSize.bmp" action1="window-small" action2="menu-windowsize" arg2x="321" arg2y="45"/>
        <dualbutton x="359" y="22" src="TOP-BUTTONS/buttonOptions.bmp" action1="dlg-controls" action2="menu-options" arg2x="359" arg2y="45"/>
        <button x="404" y="22" src="TOP-BUTTONS/buttonHelp.bmp" action="dlg-help"/>

    </theme>

    <!--======== Fullscreen size theme ========-->
    <theme mode="fullscreen">

        <emuwindow x="0" y="0"/>
        <menu bgcolor="e6ebeb" focuscolor="cbcbc6"/>
        
        <image x="-10" y="-59" src="Main-Off-State.bmp"/>
        <text x="444" y="365" width="30" align="right" src="ICONS/FONT-GREY.bmp"  trigger="text-buildandversion"/>

    </theme>


<!-- Window sizes not implemented in this theme (using default theme)
    <theme mode="small">
    </theme>
    
    <theme mode="small-fullscreen">
    </theme>
-->

</bluemsxtheme>
